import { type CollectionReference, type FirestoreDataConverter, Timestamp } from '@google-cloud/firestore';
export declare const isFirestoreCollection: (maybeCollection: any) => maybeCollection is CollectionReference<FirebaseFirestore.DocumentData, FirebaseFirestore.DocumentData>;
export interface LibraryFields {
    readonly id: string;
    readonly collection: string;
    readonly createdAt: Timestamp;
    readonly updatedAt: Timestamp;
}
export declare const FirestoreConverter: <TData extends LibraryFields>() => FirestoreDataConverter<TData, FirebaseFirestore.DocumentData>;
export interface Logger {
    debug: (message?: string) => void;
    info: (message?: string) => void;
    warn: (message?: string) => void;
    error: (message?: string) => void;
}
export declare function reviverFactory(collection: CollectionReference): (key: string | number, value: any) => any;
export declare function replacer(key: string | number, value: any): any;
